Subject: Re: bug#18756: 24.4; shell-script-mode does wrong indentation

From: Daniel Daboul <[email-masked]>
Date: Sat, 18 Oct 2014 21:49:37 +0300

On Sat, Oct 18, 2014 at 1:35 AM, Glenn Morris <[email-masked]> wrote:

>
> I cannot reproduce this with `emacs -Q'.
>
> (Since you reported this twice, I will delete the other bug, #18755)
>

1. Thank you for deleting the duplicate. I thought my first e-mail
didn't make it.

2. I also used "src/emacs-24.4.1 -Q" or
"src/emacs-24.4.1 -Q -nw", which makes no difference for this problem.

3. However, I get the buggy behavior only on
"SUSE Linux Enterprise Server"  version 10 and 11 (sles10, sles11).
Today I compiled emacs on a "Debian testing" system, where I do
not see the problem.

4. While trying more, I noticed that this is actually not a problem
specific to the shell-mode. It similarly happens in fundamental mode
(but again only on SUSE). So if I type in an empty buffer in
"Fundamental" mode:
1<return>2<return>3<return>4<return>

... I end up with this:
(4 spaces)1
(1 tab)2
(1 tab,4 spaces)3
(2 tabs)4

5. Can someone suggest how to debug this further or find a local fix?

With best regards, Daniel